Intermittent devtools/client/inspector/test/browser_inspector_highlighter-eyedropper-events.js | Uncaught exception - at resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:1239 - Error: Connection closed, pending request

NEW
Unassigned

Status

()

Firefox
Developer Tools: Inspector
P5
normal
22 days ago
11 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

22 days ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=141586557&repo=autoland

https://queue.taskcluster.net/v1/task/SR-h0IBiRjGmfT0WF835kQ/runs/0/artifacts/public/logs/live_backing.log

06:55:44     INFO -  304 INFO TEST-PASS | devtools/client/inspector/test/browser_inspector_highlighter-eyedropper-events.js | The eyedropper is at the expected 0 699 position -
06:55:44     INFO -  305 INFO Simulating return to select the color and hide the eyedropper
06:55:44     INFO -  306 INFO TEST-PASS | devtools/client/inspector/test/browser_inspector_highlighter-eyedropper-events.js | The eyedropper has been hidden -
06:55:44     INFO -  307 INFO Showing the eyedropper again and simulating escape to hide it
06:55:44     INFO -  308 INFO Console message: [JavaScript Error: "remote browser crashed while on data:text/html;charset=utf-8,%0A%3Cstyle%3E%0A%20%20html%7Bwidth%3A100%25%3Bheight%3A100%25%3B%7D%0A%3C%2Fstyle%3E%0A%3Cbody%3Eeye-dropper%20test%3C%2Fbody%3E
06:55:44     INFO -  " {file: "chrome://mochikit/content/mochitest-e10s-utils.js" line: 8}]
06:55:44     INFO -  e10s_init/<@chrome://mochikit/content/mochitest-e10s-utils.js:8:5
06:55:44     INFO -  EventListener.handleEvent*EventTargetInterposition.methods.addEventListener@resource://gre/modules/RemoteAddonsParent.jsm:673:5
06:55:44     INFO -  interposeProperty/desc.value@jar:file:///Z:/task_1509600490/build/application/firefox/omni.ja!/components/multiprocessShims.js:157:52
06:55:44     INFO -  e10s_init@chrome://mochikit/content/mochitest-e10s-utils.js:6:3
06:55:44     INFO -  testInit@chrome://mochikit/content/browser-test.js:101:5
06:55:44     INFO -  setTimeout handler*@chrome://mochikit/content/browser-test.js:25:3
06:55:44     INFO -  Buffered messages finished
06:55:44    ERROR -  309 INFO TEST-UNEXPECTED-FAIL | devtools/client/inspector/test/browser_inspector_highlighter-eyedropper-events.js | Uncaught exception - at resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:1239 - Error: Connection closed, pending request to server1.conn39.child1/testActor25, type getHighlighterAttribute failed
06:55:44     INFO -  Request stack:
06:55:44     INFO -  request@resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:1296:14
06:55:44     INFO -  generateRequestMethods/</frontProto[name]@resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:1454:14
06:55:44     INFO -  getHighlighterNodeAttribute@http://example.com/browser/devtools/client/shared/test/test-actor.js:845:12
06:55:44     INFO -  isElementHidden@chrome://mochitests/content/browser/devtools/client/inspector/test/head.js:464:23
06:55:44     INFO -  TaskImpl_run@resource://gre/modules/Task.jsm:331:42
06:55:44     INFO -  TaskImpl@resource://gre/modules/Task.jsm:280:3
06:55:44     INFO -  asyncFunction@resource://gre/modules/Task.jsm:252:14
06:55:44     INFO -  Task_spawn@resource://gre/modules/Task.jsm:166:12
06:55:44     INFO -  TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:401:16
06:55:44     INFO -  TaskImpl_run@resource://gre/modules/Task.jsm:339:15
06:55:44     INFO -  process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:922:23
06:55:44     INFO -  walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:806:7
06:55:44     INFO -  Promise*scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:739:11
06:55:44     INFO -  schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:770:7
06:55:44     INFO -  completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:707:7
06:55:44     INFO -  receiveMessage@resource://testing-common/ContentTask.jsm:113:9
06:55:44     INFO -  Stack trace:
06:55:44     INFO -      destroy@resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:1239:23
06:55:44     INFO -      cleanup@resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:891:5
06:55:44     INFO -      onClosed@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:964:7
06:55:44     INFO -      close@resource://devtools/shared/base-loader.js -> resource://devtools/shared/transport/transport.js:668:11
06:55:44     INFO -      close@resource://devtools/shared/base-loader.js -> resource://devtools/shared/transport/transport.js:664:9
06:55:44     INFO -      close@resource://devtools/shared/base-loader.js -> resource://devtools/shared/transport/transport.js:664:9
06:55:44     INFO -      cleanup@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:207:7
06:55:44     INFO -      detachClients@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:231:9
06:55:44     INFO -      DebuggerClient.requester/</<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:117:9
06:55:44     INFO -      exports.makeInfallible/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14
06:55:44     INFO -      safeOnResponse@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:547:14
06:55:44     INFO -      listenerJson@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:568:25
06:55:44     INFO -      emit@resource://devtools/shared/base-loader.js -> resource://devtools/shared/event-emitter.js:178:37
06:55:44     INFO -      emit@resource://devtools/shared/base-loader.js -> resource://devtools/shared/event-emitter.js:255:29
06:55:44     INFO -      emitReply@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:865:29
06:55:44     INFO -      DevTools RDP*request@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:560:21
06:55:44     INFO -      DebuggerClient.requester/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:105:12
06:55:44     INFO -      exports.makeInfallible/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14
06:55:44     INFO -      detachClients@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:235:9
06:55:44     INFO -      safeOnResponse@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:547:14
06:55:44     INFO -      listenerJson@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:568:25
06:55:44     INFO -      emit@resource://devtools/shared/base-loader.js -> resource://devtools/shared/event-emitter.js:178:37
06:55:44     INFO -      emit@resource://devtools/shared/base-loader.js -> resource://devtools/shared/event-emitter.js:255:29
06:55:44     INFO -      emitReply@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:865:29
06:55:44     INFO -      DevTools RDP*request@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:560:21
06:55:44     INFO -      stopListeners@resource://devtools/shared/base-loader.js -> resource://devtools/shared/webconsole/client.js:627:12
06:55:44     INFO -      detach@resource://devtools/shared/base-loader.js -> resource://devtools/shared/webconsole/client.js:661:5
06:55:44     INFO -      detachClients@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:235:9
06:55:44     INFO -      DebuggerClient.requester/</<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:117:9
06:55:44     INFO -      exports.makeInfallible/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14
06:55:44     INFO -      safeOnResponse@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:547:14
06:55:44     INFO -      listenerJson@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:568:25
06:55:44     INFO -      emit@resource://devtools/shared/base-loader.js -> resource://devtools/shared/event-emitter.js:178:37
06:55:44     INFO -      emit@resource://devtools/shared/base-loader.js -> resource://devtools/shared/event-emitter.js:255:29
06:55:44     INFO -      emitReply@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:865:29
06:55:44     INFO -      DevTools RDP*request@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:560:21
06:55:44     INFO -      DebuggerClient.requester/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:105:12
06:55:44     INFO -      exports.makeInfallible/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14
06:55:44     INFO -      detachClients@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:235:9
06:55:44     INFO -      close@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:240:5
06:55:44     INFO -      destroy@resource://devtools/shared/base-loader.js -> resource://devtools/client/framework/target.js:673:9
06:55:44     INFO -      _setupRemoteListeners/this._onTabDetached@resource://devtools/shared/base-loader.js -> resource://devtools/client/framework/target.js:528:9
06:55:44     INFO -      eventSource/proto.emit@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/event-source.js:117:9
06:55:44     INFO -      onPacket@resource://devtools/shared/base-loader.js -> resource://devtools/shared/client/debugger-client.js:861:7
06:55:44     INFO -      send/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/transport/transport.js:570:13
06:55:44     INFO -      exports.makeInfallible/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14
06:55:44     INFO -      DevToolsUtils.executeSoon*exports.executeSoon@resource://devtools/shared/base-loader.js -> resource://devtools/shared/DevToolsUtils.js:57:19
06:55:44     INFO -      send@resource://devtools/shared/base-loader.js -> resource://devtools/shared/transport/transport.js:563:9
06:55:44     INFO -      send@resource://devtools/shared/base-loader.js -> resource://devtools/server/main.js:1513:5
06:55:44     INFO -      connectToChild/destroy<@resource://devtools/shared/base-loader.js -> resource://devtools/server/main.js:1170:9
06:55:44     INFO -      exports.makeInfallible/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:14
06:55:44     INFO -      onMessageManagerClose@resource://devtools/shared/base-loader.js -> resource://devtools/server/main.js:1188:9
06:55:44     INFO -      process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:922:23
06:55:44     INFO -      walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:806:7
06:55:44     INFO -      Promise*scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:739:11
06:55:44     INFO -      schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:770:7
06:55:44     INFO -      completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:707:7
06:55:44     INFO -      receiveMessage@resource://testing-common/ContentTask.jsm:113:9
06:55:44     INFO -      process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:922:23
06:55:44     INFO -      walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:806:7
06:55:44     INFO -      Promise*scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:739:11
06:55:44     INFO -      schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:770:7
06:55:44     INFO -      completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:707:7
06:55:44     INFO -      onPacket/<@resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:1356:9
06:55:44     INFO -      DevTools RDP*request@resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:1296:14
06:55:44     INFO -      generateRequestMethods/</frontProto[name]@resource://devtools/shared/base-loader.js -> resource://devtools/shared/protocol.js:1454:14
06:55:44     INFO -      getHighlighterHelperFor/<@chrome://mochitests/content/browser/devtools/client/inspector/test/head.js:414:29
06:55:44     INFO -      _run@resource://devtools/shared/base-loader.js -> resource://devtools/shared/task.js:310:39
06:55:44     INFO -      TaskImpl@resource://devtools/shared/base-loader.js -> resource://devtools/shared/task.js:272:3
06:55:44     INFO -      asyncFunction@resource://devtools/shared/base-loader.js -> resource://devtools/shared/task.js:246:14
06:55:44     INFO -      @chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_highlighter-eyedropper-events.js:82:22
06:55:44     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:797:9
06:55:44     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:697:9
06:55:44     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
06:55:44     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:797:9
06:55:44     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:697:9
06:55:44     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
06:55:44     INFO -  310 INFO Leaving test bound

Comment 1

19 days ago
4 failures in 857 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 3
* try: 1

Platform breakdown:
* windows10-64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1413856&startday=2017-10-30&endday=2017-11-05&tree=all

Comment 2

11 days ago
8 failures in 849 pushes (0.009 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 3
* mozilla-beta: 2
* autoland: 2
* try: 1

Platform breakdown:
* windows7-32: 7
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1413856&startday=2017-11-06&endday=2017-11-12&tree=all
You need to log in before you can comment on or make changes to this bug.